MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000482VCMIOtherpublic2010-06-01 08:232016-10-01 15:20
ReporterBoulie 
Assigned ToAVS 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.8b 
Target VersionFixed in Version0.99 
Summary0000482: Tome of Magic without spell book.
DescriptionYou should be able to cast Adv. Map spells without spell book.
Less important thing if you have tomes without spell book and have battle you should be able to get into spell book clicking at hero and see all spells. After you try to cast spell in battle without spell book there should appear note - see screenshot.
Steps To ReproduceSeptienna in the map attached to 0000091 would be an example at hand.
TagsNo tags attached.
Attached Filesjpg file icon spells without spell book with tomes OH3_01.jpg [^] (204,019 bytes) 2010-06-01 08:23


jpg file icon spells without spell book with tomes OH3_02.jpg [^] (195,517 bytes) 2010-06-01 08:23

- Relationships
related to 0001898closedAVS Admiral hat, sea captains hat - no magic spells in the book, if the hero is no book of magic 
has duplicate 0001349closed If hero have Book of Air without Spellbook you can't see available spells 
related to 0002155resolvedAVS A hero without spellbook can't use spell scrolls 

-  Notes
(0001420)
Zamolxis (viewer)
2010-11-18 00:09
edited on: 2010-11-18 00:11

Confirmed as still there in 0.83.

And a couple of notes in addition to the description. In H3, if a hero has a tome of magic but no spell book:
- On Adventure Map they can open the book by pressing C or clicking on the spell book icon (and cast Adventure spells according to the level of the corresponding magic school)
- In battle it only opens if we click on the hero (so C doesn't work, while the spell book is grayed out as in screenshot)
- At any time the book would be open in one of the above situations, we can afterwards browse it (battle/adventure sections) without a problem, including the r-click full information of the spells (including damage) according to the level of the corresponding magic school

(0006795)
AVS (administrator)
2016-10-01 14:24

main case fixed in https://github.com/vcmi/vcmi/commit/799b8519e08aa84818175a5fcc534f19cf78f5dd [^]
(0006796)
AVS (administrator)
2016-10-01 15:20

Fixed in https://github.com/vcmi/vcmi/commit/52ae5b4a8657d5995832b0092b27a9469012a36d [^]

- Issue History
Date Modified Username Field Change
2010-06-01 08:23 Boulie New Issue
2010-06-01 08:23 Boulie File Added: spells without spell book with tomes OH3_01.jpg
2010-06-01 08:23 Boulie File Added: spells without spell book with tomes OH3_02.jpg
2010-06-01 12:03 Warmonger Summary Tomb of Magic without spell book. => Tome of Magic without spell book.
2010-06-01 22:32 Zamolxis Product Version => 0.8b
2010-11-18 00:09 Zamolxis Note Added: 0001420
2010-11-18 00:09 Zamolxis Status new => acknowledged
2010-11-18 00:11 Zamolxis Note Edited: 0001420 View Revisions
2010-11-18 02:20 Zamolxis Steps to Reproduce Updated View Revisions
2012-02-27 12:24 Warmonger Status acknowledged => assigned
2012-02-27 12:24 Warmonger Assigned To => Warmonger
2013-07-22 21:41 Ivan Relationship added has duplicate 0001349
2015-02-15 07:06 SXX Relationship added related to 0001898
2015-04-02 05:08 SXX Relationship added related to 0002155
2016-10-01 14:03 AVS Assigned To Warmonger => AVS
2016-10-01 14:24 AVS Note Added: 0006795
2016-10-01 15:20 AVS Note Added: 0006796
2016-10-01 15:20 AVS Status assigned => resolved
2016-10-01 15:20 AVS Fixed in Version => 0.99
2016-10-01 15:20 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean